Bug 1013705 - [abrt] virtuoso-opensource-6.1.6-3.fc19: gpf_notice: Process /usr/bin/virtuoso-t was killed by signal 11 (SIGSEGV)
[abrt] virtuoso-opensource-6.1.6-3.fc19: gpf_notice: Process /usr/bin/virtuos...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: virtuoso-opensource (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:2e5b56a5f655763ffb3d1d92774...
:
: 1103291 1111363 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 11:53 EDT by Roger Noble
Modified: 2015-02-17 12:25 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:25:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.86 KB, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: core_backtrace (25.11 KB, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: dso_list (2.90 KB, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: environ (1.92 KB, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: maps (16.40 KB, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: open_fds (1.03 KB, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-09-30 11:53 EDT, Roger Noble
no flags Details
File: var_log_messages (14.42 KB, text/plain)
2013-09-30 11:54 EDT, Roger Noble
no flags Details

  None (edit)
Description Roger Noble 2013-09-30 11:53:15 EDT
Version-Release number of selected component:
virtuoso-opensource-6.1.6-3.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/virtuoso-t +foreground +configfile /tmp/virtuoso_Vs2200.ini +wait
crash_function: gpf_notice
executable:     /usr/bin/virtuoso-t
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gpf_notice at Dkutil.c:84
 #1 itc_bm_insert_in_row at bitmap.c:693
 #2 key_bm_insert at bitmap.c:932
 #3 key_insert at row.c:2632
 #4 insert_node_run at sqlrun.c:1650
 #5 insert_node_input at sqlrun.c:1674
 #6 ins_qnode at sqlintrp.c:1403
 #7 code_vec_run_1 at sqlintrp.c:1908
 #8 qn_input at sqlrun.c:680
 #9 qr_subq_exec at sqlrun.c:3544

Potential duplicate: bug 728523
Comment 1 Roger Noble 2013-09-30 11:53:19 EDT
Created attachment 805304 [details]
File: backtrace
Comment 2 Roger Noble 2013-09-30 11:53:24 EDT
Created attachment 805305 [details]
File: cgroup
Comment 3 Roger Noble 2013-09-30 11:53:28 EDT
Created attachment 805306 [details]
File: core_backtrace
Comment 4 Roger Noble 2013-09-30 11:53:31 EDT
Created attachment 805307 [details]
File: dso_list
Comment 5 Roger Noble 2013-09-30 11:53:35 EDT
Created attachment 805308 [details]
File: environ
Comment 6 Roger Noble 2013-09-30 11:53:38 EDT
Created attachment 805309 [details]
File: exploitable
Comment 7 Roger Noble 2013-09-30 11:53:44 EDT
Created attachment 805310 [details]
File: limits
Comment 8 Roger Noble 2013-09-30 11:53:52 EDT
Created attachment 805311 [details]
File: maps
Comment 9 Roger Noble 2013-09-30 11:53:55 EDT
Created attachment 805312 [details]
File: open_fds
Comment 10 Roger Noble 2013-09-30 11:53:59 EDT
Created attachment 805313 [details]
File: proc_pid_status
Comment 11 Roger Noble 2013-09-30 11:54:05 EDT
Created attachment 805314 [details]
File: var_log_messages
Comment 12 Colin J Thomson 2013-12-23 14:13:45 EST
I had been seeing this on my Fedora 20 box with the KDE 4.11.9x series and also 4.12, 
However since clearing /tmp and stopping nepomuk and removing
$HOME/.kde/share/apps/nepomuk and enabling nepomuk again the crash has stopped. Not ideal but maybe something was corrupted somehow. Virtuoso has not crashed for a few days.
Comment 13 Oron Peled 2014-05-12 00:57:52 EDT
Another data point:
 * Had these crashes several times a day (fully up-to-date F20, KDE-4.12.5)
 * Tested proposed workaround from comment #12 few days ago
 * Crashes stopped completely
Comment 14 John Griffiths 2014-05-28 08:38:38 EDT
Another user experienced a similar problem:

Started happening after a recent update of system from Fedora repos. Keeps happening over and over.

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        /usr/bin/virtuoso-t +foreground +configfile /tmp/virtuoso_Z24893.ini +wait
crash_function: gpf_notice
executable:     /usr/bin/virtuoso-t
kernel:         3.14.4-100.fc19.x86_64
package:        virtuoso-opensource-6.1.6-3.fc19
reason:         virtuoso-t killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Sergio Monteiro Basto 2014-07-04 06:08:08 EDT
*** Bug 1103291 has been marked as a duplicate of this bug. ***
Comment 16 Adam Williamson 2014-08-09 03:47:52 EDT
*** Bug 1111363 has been marked as a duplicate of this bug. ***
Comment 17 Adam Williamson 2014-08-09 04:13:16 EDT
We have reports of this at least up to virtuoso-opensource-6.1.6-5.fc20 in the dupe. retrace server indicates this is a very commonly-hit crash, FWIW. Upstream report https://bugs.kde.org/show_bug.cgi?id=325189 has a similar subject but the traces in the report look different; not sure what's going on there.
Comment 18 Fedora End Of Life 2015-01-09 15:02:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-17 12:25:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.